<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/10/2005 *
 * ===============                              Last change: 05/18/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-sponsor_infos.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Informations and prices for the sponsor          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Informationen/Preise fuer den Sponsoren          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("guest", basename(__FILE__));

// Remove result_act
unset($result_act);

// Load all sponsor actions
$result_act = SQL_QUERY("SELECT DISTINCT m.title, c.conv_rate, c.conv_name
FROM "._MYSQL_PREFIX."_sponsor_menu AS m
LEFT JOIN "._MYSQL_PREFIX."_sponsor_action_convert AS c ON m.what=c.ext_name
LEFT JOIN "._MYSQL_PREFIX."_sponsor_registry AS r ON m.what=r.ext_name
WHERE m.action='actions' AND r.is_active='Y'
ORDER BY m.sort ASC", __FILE__, __LINE__);
$num_act = SQL_NUMROWS($result_act);

if ($num_act > 0)
{
	// Load all actions
	$OUT_ACT = ""; $SW = 2;
	while (list($title, $conv, $name) = SQL_FETCHROW($result_act))
	{
		// Prepare data for the row template
		$content = array(
			'sw'    => $SW,
			'title' => $title,
			'conv'  => round($conv),
			'name'  => $name,
		);

		// Load row template and switch color
		$OUT_ACT .= LOAD_TEMPLATE("guest_sponsor_act_row", true, $content);
		$SW = 3 - $SW;
	}

	// Check for pay types
	$result_pay = SQL_QUERY("SELECT pay_name, pay_rate, pay_min_count, pay_currency FROM "._MYSQL_PREFIX."_sponsor_paytypes ORDER BY pay_name", __FILE__, __LINE__);
	if (SQL_NUMROWS($result_pay) > 0)
	{
		// Load all pay types
		$OUT_PAY = ""; $SW = 2;
		while (list($name, $rate, $min, $curr) = SQL_FETCHROW($result_pay))
		{
			// Prepare data for the row template
			$content = array(
				'sw'    => $SW,
				'name'  => $name,
				'rate'  => TRANSLATE_COMMA($rate),
				'min'   => $min,
				'curr'  => $curr,
				'price' => $min,
			);

			if (!ereg(",", $content['price']))
			{
				// Add missing zeros
				$content['price'] .= ",".str_repeat("0", $_CONFIG['max_comma']);
			}

			// Load row template and switch color
			$OUT_PAY .= LOAD_TEMPLATE("guest_sponsor_pay_row", true, $content);
			$SW = 3 - $SW;
		}
	}
	 else
	{
		// No pay types setuped so far!
		$OUT_PAY = "<TR><TD colspan=\"2\">
  ".LOAD_TEMPLATE("admin_settings_saved", true, SPONSOR_NO_ACTIONS_ACTIVATED)."
</TD></TR>";
	}
}
 else
{
	// No actions activated so far!
	$OUT_ACT = "<TR><TD colspan=\"2\" class=\"bottom2\" style=\"padding-top: 10px; padding-bottom: 10px\">
  ".LOAD_TEMPLATE("admin_settings_saved", true, SPONSOR_NO_ACTIONS_ACTIVATED)."
</TD></TR>";
	$OUT_PAY = "<TR><TD colspan=\"2\" class=\"bottom2\" style=\"padding-top: 10px; padding-bottom: 10px\">
  ".LOAD_TEMPLATE("admin_settings_saved", true, SPONSOR_NO_ACTIONS_ACTIVATED)."
</TD></TR>";
}

// Transfer rows to constans
define('__SPONSOR_ACTIONS' , $OUT_ACT);
define('__SPONSOR_PAYTYPES', $OUT_PAY);

// Free memory
if (isset($result_act)) SQL_FREERESULT($result_act);
if (isset($result_pay)) SQL_FREERESULT($result_pay);

// Load main template
LOAD_TEMPLATE("guest_sponsor_infos");

//
?>
